using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("医生 - 项目标准签名文档")]
[Table("DoctorCriterionFile")]
public class DoctorCriterionFile : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("DoctorId")]
    public Doctor Doctor { get; set; }

    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    #endregion

    public string CriterionName { get; set; } = null!;

    [Comment("标准类型")]
    public CriterionType CriterionType { get; set; }

    public Guid DoctorId { get; set; }

   
    public string FileName { get; set; } = null!;

    [StringLength(1000)]
    public string FilePath { get; set; } = null!;

    public CriterionFileType FileType { get; set; }

    public bool IsEnable { get; set; }

    public string Remark { get; set; } = null!;

    public Guid? TrialId { get; set; }

    public Guid? TrialReadingCriterionId { get; set; }

    [Comment("是否是IR上传")]
    public bool IsIRUpload { get; set; } = false;

}
